net.sf.jasperreports.engine.query

## Class JRSqlLessOrGreaterClause

- java.lang.Object
- - net.sf.jasperreports.engine.query.SQLLessOrGreaterBaseClause
  - - net.sf.jasperreports.engine.query.JRSqlLessOrGreaterClause

- All Implemented Interfaces:
    JRClauseFunction

      public class JRSqlLessOrGreaterClause
      extends SQLLessOrGreaterBaseClause

  Base LESS/GREATER clause function for SQL queries.

  The first token in the $X{...} syntax is the function ID token. Possible values for the LESS | GREATER clause function ID token are:

  - `LESS` - in this case the `LESS THAN` operator `<` will be applied.
  - `LESS]` - in this case the `LESS OR EQUAL` operator `<=` will be applied.
  - `GREATER` - in this case the `GREATER THAN` operator `>` will be applied.
  - `[GREATER` - in this case the `GREATER OR EQUAL` operator `>=` will be applied.
  Version:
    $Id: JRSqlLessOrGreaterClause.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static JRSqlLessOrGreaterClause` | `singleton`

    - ### Fields inherited from class net.sf.jasperreports.engine.query.SQLLessOrGreaterBaseClause

      `CLAUSE_TRUISM, OPERATOR_GREATER, OPERATOR_GREATER_OR_EQUAL, OPERATOR_LESS, OPERATOR_LESS_OR_EQUAL, POSITION_CLAUSE_ID, POSITION_DB_COLUMN, POSITION_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRSqlLessOrGreaterClause()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ClauseFunctionParameterHandler` | `createParameterHandler(JRQueryClauseContext queryContext, java.lang.String clauseId, java.lang.String parameterName)`
    `static JRSqlLessOrGreaterClause` | `instance()` Returns the singleton function instance.

    - ### Methods inherited from class net.sf.jasperreports.engine.query.SQLLessOrGreaterBaseClause

      `apply, handleLessOrGreaterOperator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### singleton

          protected static final JRSqlLessOrGreaterClause singleton

  - ### Constructor Detail

    - #### JRSqlLessOrGreaterClause

          public JRSqlLessOrGreaterClause()

  - ### Method Detail

    - #### instance

          public static JRSqlLessOrGreaterClause instance()

      Returns the singleton function instance.
      Returns:
        the singleton function instance

    - #### createParameterHandler

          protected ClauseFunctionParameterHandler createParameterHandler(JRQueryClauseContext queryContext,
                                                              java.lang.String clauseId,
                                                              java.lang.String parameterName)

      Specified by:
        `createParameterHandler` in class `SQLLessOrGreaterBaseClause`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com